CreateTestMeasurement
curl --request POST \
--url https://api.siftstack.com/api/v1/test-measurements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"testMeasurement": {
"measurementId": "<string>",
"measurementType": "TEST_MEASUREMENT_TYPE_UNSPECIFIED",
"name": "<string>",
"testStepId": "<string>",
"testReportId": "<string>",
"passed": true,
"timestamp": "2023-11-07T05:31:56Z",
"numericValue": 123,
"stringValue": "<string>",
"booleanValue": true,
"numericBounds": {
"min": 123,
"max": 123
},
"description": "<string>",
"channelNames": [
"<string>"
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}
'import requests
url = "https://api.siftstack.com/api/v1/test-measurements"
payload = { "testMeasurement": {
"measurementId": "<string>",
"measurementType": "TEST_MEASUREMENT_TYPE_UNSPECIFIED",
"name": "<string>",
"testStepId": "<string>",
"testReportId": "<string>",
"passed": True,
"timestamp": "2023-11-07T05:31:56Z",
"numericValue": 123,
"stringValue": "<string>",
"booleanValue": True,
"numericBounds": {
"min": 123,
"max": 123
},
"description": "<string>",
"channelNames": ["<string>"],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/test-measurements"
payload := strings.NewReader("{\n \"testMeasurement\": {\n \"measurementId\": \"<string>\",\n \"measurementType\": \"TEST_MEASUREMENT_TYPE_UNSPECIFIED\",\n \"name\": \"<string>\",\n \"testStepId\": \"<string>\",\n \"testReportId\": \"<string>\",\n \"passed\": true,\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"numericValue\": 123,\n \"stringValue\": \"<string>\",\n \"booleanValue\": true,\n \"numericBounds\": {\n \"min\": 123,\n \"max\": 123\n },\n \"description\": \"<string>\",\n \"channelNames\": [\n \"<string>\"\n ],\n \"metadata\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"testMeasurement": {
"measurementId": "<string>",
"measurementType": "TEST_MEASUREMENT_TYPE_UNSPECIFIED",
"name": "<string>",
"testStepId": "<string>",
"testReportId": "<string>",
"passed": true,
"timestamp": "2023-11-07T05:31:56Z",
"numericValue": 123,
"stringValue": "<string>",
"booleanValue": true,
"unit": {
"unitId": "<string>",
"abbreviatedName": "<string>"
},
"numericBounds": {
"min": 123,
"max": 123
},
"stringBounds": {
"expectedValue": "<string>"
},
"description": "<string>",
"channelNames": [
"<string>"
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}TestReportService
CreateTestMeasurement
Creates a test measurement
POST
/
api
/
v1
/
test-measurements
CreateTestMeasurement
curl --request POST \
--url https://api.siftstack.com/api/v1/test-measurements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"testMeasurement": {
"measurementId": "<string>",
"measurementType": "TEST_MEASUREMENT_TYPE_UNSPECIFIED",
"name": "<string>",
"testStepId": "<string>",
"testReportId": "<string>",
"passed": true,
"timestamp": "2023-11-07T05:31:56Z",
"numericValue": 123,
"stringValue": "<string>",
"booleanValue": true,
"numericBounds": {
"min": 123,
"max": 123
},
"description": "<string>",
"channelNames": [
"<string>"
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}
'import requests
url = "https://api.siftstack.com/api/v1/test-measurements"
payload = { "testMeasurement": {
"measurementId": "<string>",
"measurementType": "TEST_MEASUREMENT_TYPE_UNSPECIFIED",
"name": "<string>",
"testStepId": "<string>",
"testReportId": "<string>",
"passed": True,
"timestamp": "2023-11-07T05:31:56Z",
"numericValue": 123,
"stringValue": "<string>",
"booleanValue": True,
"numericBounds": {
"min": 123,
"max": 123
},
"description": "<string>",
"channelNames": ["<string>"],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/test-measurements"
payload := strings.NewReader("{\n \"testMeasurement\": {\n \"measurementId\": \"<string>\",\n \"measurementType\": \"TEST_MEASUREMENT_TYPE_UNSPECIFIED\",\n \"name\": \"<string>\",\n \"testStepId\": \"<string>\",\n \"testReportId\": \"<string>\",\n \"passed\": true,\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"numericValue\": 123,\n \"stringValue\": \"<string>\",\n \"booleanValue\": true,\n \"numericBounds\": {\n \"min\": 123,\n \"max\": 123\n },\n \"description\": \"<string>\",\n \"channelNames\": [\n \"<string>\"\n ],\n \"metadata\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"testMeasurement": {
"measurementId": "<string>",
"measurementType": "TEST_MEASUREMENT_TYPE_UNSPECIFIED",
"name": "<string>",
"testStepId": "<string>",
"testReportId": "<string>",
"passed": true,
"timestamp": "2023-11-07T05:31:56Z",
"numericValue": 123,
"stringValue": "<string>",
"booleanValue": true,
"unit": {
"unitId": "<string>",
"abbreviatedName": "<string>"
},
"numericBounds": {
"min": 123,
"max": 123
},
"stringBounds": {
"expectedValue": "<string>"
},
"description": "<string>",
"channelNames": [
"<string>"
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Was this page helpful?
⌘I